Summary:	The FlightGear Flight Simulator
Name:		flightgear
Version:	2018.3.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Simulation
URL:		http://www.flightgear.org/
Source0:	https://downloads.sf.net/flightgear/%{name}-%{version}.tar.bz2

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	pkgconfig(flite)
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	gsm-devel
BuildRequires:	libgomp-devel
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openthreads) < 3.6.1
BuildRequires:	pkgconfig(openscenegraph) < 3.6.1
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	simgear-devel >= %{version}
Requires:	flightgear-data >= %{version}

# we get only segfaults in 32 bit starting with version 2018.2.2
ExclusiveArch:  x86_64

Obsoletes:	fgrun <= 2016.1.1

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
%setup -q

%build
%cmake \
	-DBUILD_SHARED_LIBS=OFF \
	-DFG_DATA_DIR=%{_gamesdatadir}/%{name} \
	-DSYSTEM_FLITE=ON \
	-DSYSTEM_GSM=ON \
	-DSYSTEM_SPEEX=ON \
	-DSYSTEM_SQLITE=ON \
	-DSIMGEAR_SHARED=ON \
	-DENABLE_GDAL=ON \
	-DENABLE_OPENMP=ON \
	-DFG_BUILD_TYPE=Release

%make_build

%install
%make_install -C build

install -D package/org.flightgear.FlightGear.desktop %{buildroot}%{_datadir}/applications/org.flightgear.FlightGear.desktop

pushd icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor
for i in `find * -maxdepth 0 -type d`
do
  cp -fr $i %{buildroot}%{_iconsdir}/hicolor/
done

%files
%doc README AUTHORS docs-mini/
%{_bindir}/*
%{_datadir}/bash-completion/completions/fgfs
%{_datadir}/zsh/site-functions/_fgfs
%{_datadir}/applications/org.flightgear.FlightGear.desktop
%{_iconsdir}/hicolor/*/apps/fgcom.*
%{_iconsdir}/hicolor/*/apps/flightgear.*
%{_mandir}/man*/*.xz
%{_mandir}/it/man*/*.xz


%changelog
* Mon Dec 17 2018 zezinho <zezinho> 2018.3.1-1.mga6
+ Revision: 1342179
- update to 2018.3.1 mga#24026
- only build x86_64
- disable GDAL to prevent i586 segfault
- disable OpenMP to prevent i586 segfault
- enable release build enable OpenMP - enable Gdal
- fix BR on QT5QuickWidgets
- add missing BR on QT5Quick
- update to version 2018.2.2 MGA#23331
- new version security fix #MGA21623

* Sun May 28 2017 zezinho <zezinho> 2017.2.1-1.mga6
+ Revision: 1105399
- new shortcut file
- new BR : Qt5 Qml
- new version

* Mon May 15 2017 neoclust <neoclust> 2017.1.3-2.mga6
+ Revision: 1101653
- Add P0 - Fixes CVE-2017-8921 (mga#20852)

* Wed Apr 26 2017 zezinho <zezinho> 2017.1.3-1.mga6
+ Revision: 1097448
- new bugfix version

* Wed Mar 22 2017 zezinho <zezinho> 2017.1.2-2.mga6
+ Revision: 1094274
- remove our own launcher as upstream one has evolved

* Tue Mar 21 2017 zezinho <zezinho> 2017.1.2-1.mga6
+ Revision: 1093923
- new version

* Sun Jan 08 2017 zezinho <zezinho> 2016.4.4-1.mga6
+ Revision: 1080730
- new version

* Wed Dec 14 2016 zezinho <zezinho> 2016.4.3-1.mga6
+ Revision: 1075198
- new version 2016.4.3 and a security patch

* Sun Dec 04 2016 akien <akien> 2016.4.2-2.mga6
+ Revision: 1072334
- Rebuild with fixed data requires (mga#19887)

* Fri Nov 25 2016 zezinho <zezinho> 2016.4.2-1.mga6
+ Revision: 1070140
- new version

* Tue Oct 04 2016 zezinho <zezinho> 2016.3.1-1.mga6
+ Revision: 1058758
- new version

* Thu May 26 2016 akien <akien> 2016.2.1-1.mga6
+ Revision: 1018633
- Version 2016.2.1

* Sat May 21 2016 daviddavid <daviddavid> 2016.1.2-3.mga6
+ Revision: 1017318
- rebuild for new and fixed flite 2.0.0

* Sun May 08 2016 zezinho <zezinho> 2016.1.2-2.mga6
+ Revision: 1010504
- obsoletes fgrun as it has now an integrated launcher

* Sat May 07 2016 zezinho <zezinho> 2016.1.2-1.mga6
+ Revision: 1010206
- new bugfix version 2016.1.2

* Wed May 04 2016 zezinho <zezinho> 2016.1.1-4.mga6
+ Revision: 1009171
- rebuild against simgear with curl enabled

* Tue May 03 2016 zezinho <zezinho> 2016.1.1-3.mga6
+ Revision: 1009045
- add launcher desktop file as this is a GUI

* Mon May 02 2016 zezinho <zezinho> 2016.1.1-2.mga6
+ Revision: 1008815
- add BR qt5 to allow --launcher

* Sat Apr 23 2016 akien <akien> 2016.1.1-1.mga6
+ Revision: 1005712
- Version 2016.1.1

* Sat Jan 09 2016 wally <wally> 3.4.0-10.mga6
+ Revision: 920789
- rebuild for new openscenegraph
+ daviddavid <daviddavid>
- rebuild for new openscenegraph 3.4.0

* Mon Nov 02 2015 daviddavid <daviddavid> 3.4.0-8.mga6
+ Revision: 897299
- add BR pkgconfig(speexdsp) (fix build)

* Mon Aug 31 2015 cjw <cjw> 3.4.0-7.mga6
+ Revision: 871500
- rebuild with gcc 5

* Mon Aug 17 2015 fwang <fwang> 3.4.0-6.mga6
+ Revision: 865265
- use cmake own find fltk
- force build with fltk

* Mon Aug 17 2015 fwang <fwang> 3.4.0-4.mga6
+ Revision: 865254
- find x11
- add patch
- bump rel
- fix linkage
- rebuild for new fltk

* Sat May 02 2015 akien <akien> 3.4.0-2.mga5
+ Revision: 821044
- Stop using property listener for fgValidatePath (mga#15809)
- Normalize the allowed paths as well (fix Windows breakage) (mga#15809)

* Wed Feb 18 2015 akien <akien> 3.4.0-1.mga5
+ Revision: 815549
- Version 3.4.0

* Mon Dec 15 2014 akien <akien> 3.2.0-3.mga5
+ Revision: 803236
- Rebuild for patched OpenSceneGraph (fix in an inline method, so rebuild necessary to pick it up)

* Sun Dec 14 2014 akien <akien> 3.2.0-2.mga5
+ Revision: 803144
- Rebuild for new OpenThreads and shared plib

* Sun Oct 26 2014 akien <akien> 3.2.0-1.mga5
+ Revision: 793526
- Version 3.2.0

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-3.mga5
+ Revision: 743843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-2.mga5
+ Revision: 679236
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Mar 13 2014 fwang <fwang> 3.0.0-1.mga5
+ Revision: 602830
- move files
- update file list
- update icons
- build with system sqlite3
- 3.0.0

* Sat Dec 14 2013 zezinho <zezinho> 2.12.1-1.mga4
+ Revision: 556755
- new version 2.12.1

* Sat Oct 19 2013 umeabot <umeabot> 2.12.0-2.mga4
+ Revision: 536578
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 2.12.0-1.mga4
+ Revision: 484710
- update file list
- new version 2.12.0

* Tue Jul 09 2013 fwang <fwang> 2.10.0-5.mga4
+ Revision: 451792
- rebuild for new boost

* Mon Jun 03 2013 zezinho <zezinho> 2.10.0-4.mga4
+ Revision: 436723
- fix rpm group

* Mon Jun 03 2013 zezinho <zezinho> 2.10.0-3.mga4
+ Revision: 436718
- requires data fixed

* Sun Jun 02 2013 zezinho <zezinho> 2.10.0-2.mga4
+ Revision: 435369
+ rebuild (emptylog)

* Sun Jun 02 2013 zezinho <zezinho> 2.10.0-1.mga4
+ Revision: 435353
- update fedora patch to fix format string vulnerability #10351

* Mon Feb 18 2013 zezinho <zezinho> 2.10.0-1.mga3
+ Revision: 399096
- new version
- enable jpeg factory

* Fri Jan 11 2013 umeabot <umeabot> 2.8.0-6.mga3
+ Revision: 350541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.8.0-5.mga3
+ Revision: 343877
- updated RPM group

* Fri Nov 16 2012 luigiwalser <luigiwalser> 2.8.0-4.mga3
+ Revision: 318372
- rebuild for plib
- rebuild for plib

* Wed Sep 12 2012 zezinho <zezinho> 2.8.0-2.mga3
+ Revision: 293196
- provide libShivaVG.so as it comes with flightgear

* Thu Sep 06 2012 zezinho <zezinho> 2.8.0-1.mga3
+ Revision: 289021
- fix libm underlinking
- new version

* Wed Jun 20 2012 zezinho <zezinho> 2.6.0-3.mga3
+ Revision: 262107
- fix BR
- apply fedora patch to fix CVE-2012-2090 CVE-2012-2091

* Wed Apr 04 2012 luigiwalser <luigiwalser> 2.6.0-2.mga2
+ Revision: 228371
- rebuild for plib

* Fri Feb 24 2012 zezinho <zezinho> 2.6.0-1.mga2
+ Revision: 214206
- fix spec bindir for now
- mandriva build patch to fix link
- new version
+ fwang <fwang>
- change prefix into games prefix
- update file list
- new version 2.4.0 final
+ shadow95 <shadow95>
- Release 0.1
- add Suggests: fgrun --> suggest installation fgrun with flightgear
- clean spec
- change Exec=fgfs to Exec=fgfs --fg-root=%%{_datadir}/FlightGear in desktop entry

* Tue Jul 19 2011 fwang <fwang> 2.4.0-0.mga2
+ Revision: 126263
- update file list
- fix lib build
- add br
- update br
- br cmake
- New version 2.4.0 (snapshot for now)

* Thu Jun 16 2011 fwang <fwang> 2.0.0-5.mga2
+ Revision: 108067
- rebuild for new osg

* Tue Apr 26 2011 wally <wally> 2.0.0-4.mga1
+ Revision: 91658
- fix desktop file (mga#954)
- fix license

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.0.0-3.mga1
+ Revision: 89204
- rebuild against new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.0.0-2.mga1
+ Revision: 86772
- clean spec file
- imported package flightgear


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2mdv2011.0
+ Revision: 610711
- rebuild

* Sun Mar 07 2010 Frederik Himpe <fhimpe@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 515535
- Update to new version 2.0.0
- Remove gcc 4.4 patch: not needed anymore
- Remove unrecognized configure option
- Disable --as-needed ldflag because it breaks build

* Thu Aug 27 2009 Emmanuel Andry <eandry@mandriva.org> 1.9.1-3mdv2010.0
+ Revision: 421600
- add p1 to fix gcc44 build

* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.1-2mdv2009.1
+ Revision: 360502
- Remove wrong patch attempting to fix build with Werror=format-security
  and disable this flag

* Tue Mar 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 348102
- Update to new version 1.9.1
- Add boost buildrequires
- Add patch fixing build with -Werror=format-security

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Dec 20 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.0-1mdv2008.1
+ Revision: 135970
- updated to version 1.0.0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.10-6mdv2008.0
+ Revision: 88714
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Apr 05 2007 Olivier Blin <oblin@mandriva.com> 0.9.10-5mdv2007.1
+ Revision: 150688
- buildrequire zlib-devel
- buildrequire freealut-devel (and link with it instead of old openal)

* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.9.10-4mdv2007.1
+ Revision: 89872
- split flightgear data out in flightgear-base

* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.9.10-3mdv2007.1
+ Revision: 89757
- fix menu entry
- Import flightgear

* Thu Aug 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-2mdv2007.0
- add xdg menu
- from Bertrand Coconnier <bcoconni@hotmail.com> :
	o Build for x86_64
	o Remove dependency

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-1mdk
- New release 0.9.10
- %%mkrel
- update menu section

* Mon Dec 05 2005 Olivier Blin <oblin@mandriva.com> 0.9.9-2mdk
- bump SimGear-devel BuildRequires (#20019)

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.9.9-1mdk
- 0.9.9

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.8-1mdk
- 0.9.8

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- flightgear is executable

* Tue Nov 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Mon Aug 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-2mdk
- fix buildrequires
- fix path data files

* Fri Aug 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-1mdk
- 0.9.5

* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 0.9.4-2mdk 
- rebuild for new gcc

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4
- fix buildrequires (lib64..)

